Bug 610180 - update is_booted_from_local_disk
update is_booted_from_local_disk
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Joey Boggs
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 13:36 EDT by Joey Boggs
Modified: 2010-11-11 09:53 EST (History)
8 users (show)

See Also:
Fixed In Version: ovirt-node-1.9.3-4.gitf53c39c.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 09:53:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (798 bytes, patch)
2010-07-01 13:38 EDT, Joey Boggs
no flags Details | Diff

  None (edit)
Comment 1 Joey Boggs 2010-07-01 13:38:28 EDT
Created attachment 428506 [details]
patch
Comment 3 RHEL Product and Program Management 2010-07-01 14:03:06 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 6 Mohua Li 2010-08-23 03:49:39 EDT
test on, 
Red Hat Enterprise Virtualization Hypervisor release 6.0 (12.el6)

/usr/libexec/ovirt-functions,


is_booted_from_local_disk() {
    grep -q LABEL=Root /proc/cmdline
}


[root@localhost libexec]# cat /proc/cmdline
ro root=live:LABEL=Root roottypefs=ext4 console=tty0                  rhgb rd_NO_LUKS rd_NO_MD rd_NO_DM rootflags=ro crashkernel=128M

installed rhev-h successfully on a clean disk with virtio, so set this bug to verified,
Comment 7 releng-rhel@redhat.com 2010-11-11 09:53:18 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.